Show / Hide Table of Contents

# Class OpenIddictServerOwinExtensions

Exposes extensions allowing to register the OpenIddict server services.

##### Inheritance

System.Object
OpenIddictServerOwinExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictServerOwinExtensions

### Methods

#### UseOwin(OpenIddictServerBuilder)

Registers the OpenIddict server services for OWIN in the DI container.

##### Declaration

    public static OpenIddictServerOwinBuilder UseOwin(this OpenIddictServerBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictServerOwinBuilder | The OpenIddictServerOwinBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseOwin(OpenIddictServerBuilder, Action<OpenIddictServerOwinBuilder>)

Registers the OpenIddict server services for OWIN in the DI container.

##### Declaration

    public static OpenIddictServerBuilder UseOwin(this OpenIddictServerBuilder builder, Action<OpenIddictServerOwinBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictServerOwinBuilder> | configuration | The configuration delegate used to configure the server services.

##### Returns

Type | Description
--- | ---
OpenIddictServerBuilder | The OpenIddictServerBuilder.

##### Remarks

This extension can be safely called multiple times.